<!-- Linea 12 AB -->
<div class="abrir-modal animacion fadeIn" *ngIf="modalService.modal">
    <!-- Linea 9 -->
    <div class="modal" tabindex="-1" style="display:block;">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">{{ titulo }}</h5>
            <!-- Linea 11 -->
            <button (click)="cerrarModal()" type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
                <!-- Linea 10 -->
                <div class="container">
                    <div class="row">
                      <div class="col-sm">
                          <ul *ngIf="cliente" class="list-group text-dark mb-3">
                              <li class="list-group-item active">{{cliente.nombre}}</li>
                              <li class="list-group-item">{{cliente.apellido}}</li>
                              <li class="list-group-item">{{cliente.email}}</li>
                              <li class="list-group-item">{{cliente.createAt | date: "fullDate"}}</li>
                              <!-- Linea 13 -->
                              <li class="list-group-item">{{cliente.region?.nombre}}</li>
                          </ul>

                          <div *ngIf="authService.hasRole('ROLE_ADMIN')" class="input-group mb-3">
                             <input (change)="seleccionarFoto($event)" type="file" class="form-control" id="inputGroupFile04" aria-describedby="inputGroupFileAddon04" aria-label="Upload" #fileUploader> <!-- Linea 7 -->
                             <button (click)="subirFoto()" class="btn btn-outline-secondary" type="button" id="inputGroupFileAddon04">Subir Foto</button>
                          </div>

                          <div *ngIf="progreso > 0" class="progress" style="height: 40px;">
                              <div class="progress-bar progress-bar-striped" role="progressbar" [ngStyle]="{width:progreso+'%'}" attr.aria-valuenow="{{progreso}}" aria-valuemin="0" aria-valuemax="100">
                                 {{progreso}}%
                              </div>
                          </div>

                      </div>
                      <div class="col-sm">
                          <img *ngIf="cliente?.foto" src="http://localhost:8080/api/uploads/img/{{cliente.foto}}" alt="{{cliente.foto}}" class="img-thumbnail rounded" style="width: 300px; heigth: 300px;">
                      </div>
                    </div>
                    <!-- Linea 18 -->
                    <div class="row" *ngIf="authService.hasRole('ROLE_ADMIN')">
                        <div class="col-3">
                            <button type="button" class="btn btn-success btn-sm" [routerLink]="['/facturas/form', cliente.id]">Crear Factura</button>
                        </div>
                    </div>
                    <!-- Linea 15 -->
                    <div class="row">

                      <div *ngIf="cliente.facturas.length <= 0" class="alert alert-info my-4">
                          No hay facturas asignadas para el cliente {{cliente.nombre}} {{cliente.apellido}}
                      </div>

                      <table *ngIf="cliente.facturas.length > 0" class="table table-bordered table-striped my-4">
                         <thead>
                             <tr>
                               <th> Folio </th>
                               <th> Descripcion </th>
                               <th> Fecha </th>
                               <th> Total </th>
                               <!-- Linea 16 -->
                               <th> Detalle </th>
                               <!-- Linea 17 -->
                               <th *ngIf="authService.hasRole('ROLE_ADMIN')"> Eliminar </th>
                             </tr>
                         </thead>
                         <tbody>
                           <tr *ngFor="let factura of cliente.facturas">
                             <th> {{factura.id}} </th>
                             <th> {{factura.descripcion}} </th>
                             <th> {{factura.createAt}} </th>
                             <th> {{factura.total}} </th>
                             <!-- Linea 16 -->
                             <th> <button class="btn btn-primary btn-sm" type="button" [routerLink]="['/facturas', factura.id]">
                               Ver
                             </button> </th>
                             <!-- Linea 17 -->
                             <th *ngIf="authService.hasRole('ROLE_ADMIN')"> <button class="btn btn-danger btn-sm" type="button" (click)="delete(factura)">
                               Eliminar
                             </button></th>
                           </tr>
                         </tbody>
                      </table>
                    </div>
                </div>
          </div>
          <div class="modal-footer">
            <!-- Linea 11 -->
            <button (click)="cerrarModal()" type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            <!-- <button type="button" class="btn btn-primary">Save changes</button> -->
          </div>
        </div>
      </div>
    </div>
</div>
<!-- Linea 1: Estructura del componente detalle -->
<!-- <div class="card bg-dark text-white"> -->
   <!-- <div class="card-header">{{ titulo }}</div> -->
   <!-- <div class="card-body"> -->
     <!-- Linea 2: Container que contiene los detalles del cliente  -->
     <!-- <div class="container"> -->
         <!-- <div class="row"> -->
           <!-- <div class="col-sm"> -->
               <!-- Linea 4 -->
               <!-- <ul *ngIf="cliente" class="list-group text-dark mb-3">
                   <li class="list-group-item active">{{cliente.nombre}}</li>
                   <li class="list-group-item">{{cliente.apellido}}</li>
                   <li class="list-group-item">{{cliente.email}}</li>
                   <li class="list-group-item">{{cliente.createAt | date: "fullDate"}}</li>
               </ul> -->

               <!-- Linea 3 -->
               <!-- <div class="input-group mb-3"> -->
                  <!-- Linea 5 -->
                  <!-- <input (change)="seleccionarFoto($event)" type="file" class="form-control" id="inputGroupFile04" aria-describedby="inputGroupFileAddon04" aria-label="Upload" #fileUploader> <!-- Linea 7 --> -->
                  <!-- Linea 6 -->
                  <!-- <button (click)="subirFoto()" class="btn btn-outline-secondary" type="button" id="inputGroupFileAddon04">Subir Foto</button> -->
               <!-- </div> -->

               <!-- Linea 8 -->
               <!-- <div *ngIf="progreso > 0" class="progress" style="height: 40px;"> -->
                   <!-- <div class="progress-bar progress-bar-striped" role="progressbar" [ngStyle]="{width:progreso+'%'}" attr.aria-valuenow="{{progreso}}" aria-valuemin="0" aria-valuemax="100"> -->
                      <!-- {{progreso}}% -->
                   <!-- </div> -->
               <!-- </div> -->

           <!-- </div> -->
           <!-- <div class="col-sm"> -->
               <!-- <img *ngIf="cliente?.foto" src="http://localhost:8080/api/uploads/img/{{cliente.foto}}" alt="{{cliente.foto}}" class="img-thumbnail rounded" style="width: 300px; heigth: 300px;"> -->
           <!-- </div> -->
         <!-- </div> -->
     <!-- </div> -->
  <!-- </div> -->
<!-- </div> -->
<!-- Nota: la estructura de arriba se comento linea por linea -->

<!-- Tarea 129 -->
  <!-- Linea 1: Creamos la estructura del detalle del cliente -->
  <!-- Linea 2: Crear el container que contendra los detalles del cliente -->
  <!-- Linea 3: Creamos el control File-Input -->
  <!-- Linea 4: Creamos un ul-li con los detalles del cliente -->

<!-- Tarea 135 -->
  <!-- Linea 5: Invocar el evento change() del input para llamar al metodo seleccionarFoto() -->
  <!-- Linea 6: Invocar el evento click() del button para llamar al metodo subirFoto() -->
  <!-- Para limpiar el Input-File -->
  <!-- Linea 7: Poner en el input el gato #fileUploader -->



<!-- Tarea 144 -->
  <!-- Linea 9: Implementamos la estructura del modal -->
  <!-- Linea 10: Metemos el container de la estructura de detalle dentro de la etiqueta modal-body de la estructura del modal -->
  <!-- Linea 11: En los botones close invocamos el metodo cerrarModal() con el evento (click) -->

<!-- Tarea 146 -->
  <!-- Linea 12A: Anidar la estructura de todo el modal dentro de un contenedor y aplicarle la clase abrir-modal de la hoja de estilo -->
  <!-- Linea 12B: Pasar el ngIf de la ventana modal al nuevo contendor -->

<!-- Tarea 167 -->
  <!-- Linea 13: Crear un li con el campo fecha -->

<!-- Tarea 220 -->
  <!-- Linea 14: Validar el boton de subir foto para admin con ngIf -->

<!-- Tarea 253 -->
  <!-- Linea 15: Agregar la factura al detalle del cliente -->
  <!-- Linea 16: Agregar la columna de detalle de la factura-->

<!-- Tarea 262 -->
  <!-- Linea 17: El boton de eliminar factura del cliente -->

<!-- Tarea 284 -->
  <!-- Linea 18; Ponemos -->
